// Copyright 2020 Thomas Hintz
//
// This file is part of the Alpha Centauri Farming project.
//
// The Alpha Centauri Farming project is free software: you can
// redistribute it and/or modify it under the terms of the GNU General
// Public License as published by the Free Software Foundation, either
// version 3 of the License, or (at your option) any later version.
//
// The Alpha Centauri Farming project is distributed in the hope that
// it will be useful, but WITHOUT ANY WARRANTY; without even the
// implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
// PURPOSE.  See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with the Alpha Centauri Farming project.  If not, see
// <https://www.gnu.org/licenses/>.

import { PLAY, SHOW_NEW_GAME, SHOW_JOIN_GAME, START } from './actionTypes.js'
import { SCREENS } from '../../constants.js'

const initialState = {
    screen: SCREENS.intro
};

export default function(state = initialState, action) {
    switch (action.type) {
    case START:
        return { ...state, screen: SCREENS.start };
    case PLAY:
        return { ...state, screen: SCREENS.play };
    case SHOW_NEW_GAME:
        return { ...state, screen: SCREENS.newGame };
    case SHOW_JOIN_GAME:
        return { ...state, screen: SCREENS.joinGame };
    default:
        return state;
    }
}

